package exceptions;

/**
 * Algorithms and Compubility -- Project 2 (aka Kung Foo Robots)
 * 
 * Exception which is thrown if an attempt is made to place more than one robot
 * in the same playing field cell.
 * 
 * @author Seth Sweep
 */
public class MultipleRobotsInOnePlaceException extends IllegalStateException {

    /**
     * Constructs a new exception with the specified detail message.
     * 
     * @param message
     */
    public MultipleRobotsInOnePlaceException(final String message) {
        super(message);
    }

    /**
     * Constructs a new exception.
     */
    public MultipleRobotsInOnePlaceException() {
        super();
    }
}
