package exceptions;

/**
 * Algorithms and Compubility -- Project 2 (aka Kung Foo Robots).
 * 
 * Exception which is thrown if there are not enough players (i.e. less than 1).
 * 
 * @author Seth Sweep
 */
public class NotEnoughPlayersException extends IllegalArgumentException {

    /**
     * Constructs a new exception with the specified detail message.
     * 
     * @param message
     */
    public NotEnoughPlayersException(final String message) {
        super(message);
    }

    /**
     * Constructs a new exception.
     */
    public NotEnoughPlayersException() {
        super();
    }
}
