package exceptions;

import junit.framework.TestCase;

public class TooManyPlayersExceptionTest extends TestCase {

    public void testNumPlayersConstructor() {
        final int numTests = 10;
        for (int i = 1; i < numTests; i++) {
            TooManyPlayersException exception = new TooManyPlayersException(i);
            String expected = "The room dimensions are too small to initialize "
                    + i
                    + " robots.  Decrease the number of robots or increase the room dimensions.";
            assertEquals("The wrong message was returned", expected, exception
                    .getMessage());
        }
    }
}
