package robots;

import static backend.Move.AHEAD_WITH_CRUMBS;
import static backend.Move.SKIP;
import static backend.Move.TURN_LEFT;
import static backend.Move.TURN_RIGHT;

/**
 * Algorithms and Compubility -- Project 2 (aka Kung Foo Robots)
 *
 * @author Seth Sweep
 */
public class MultipleRobotsTestAlgorithm2 extends MoveListAlgorithm {

    public MultipleRobotsTestAlgorithm2() {
        super(
                SKIP, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS, 
                TURN_LEFT, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS, 
                TURN_RIGHT, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS, 
                TURN_RIGHT, 
                SKIP, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS, 
                TURN_RIGHT, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS, 
                TURN_RIGHT, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS, 
                AHEAD_WITH_CRUMBS );
    }
}
